[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# allocate_memory_block

Allocate a block of linear memory

## Declaration

Source position: go32.pp line 148

`function allocate_memory_block(`
`size: LongInt`
`):LongInt;`

## Description

Allocates a block of linear memory.

Parameters:

size:
  Size of requested linear memory block in bytes.

Returned values: blockhandle - the memory handle to this memory block. Linear address of the requested memory.

Remark:

warning According to my DPMI docs this function is not implemented correctly. Normally you should also get a blockhandle to this block after successful operation. This handle can then be used to free the memory block afterwards or use this handle for other purposes. Since the function isn't implemented correctly, and doesn't return a blockhandle, the block can't be deallocated and is hence unusable ! This function doesn't allocate any descriptors for this block, it's the applications responsibility to allocate and initialize for accessing this memory.

## Errors

Check the int31error variable.

## See also

free_memory_block |  | Free allocated memory block